{% extends 'dashboard/baseDashboard.html.twig' %}


{% block body %}

    <!-- page content -->
    <div class="right_col" role="main">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">
                    <strong class="card-title"> Liste des Annonces </strong>
                </div>
                {% for message in app.flashes('info') %}
                    <div class="alert alert-success">
                        {{ message }}
                    </div>
                {% endfor %}
                {% for message in app.flashes('info') %}
                    <div class="alert alert-success">
                        {{ message }}
                    </div>
                {% endfor %}
                <br>
                <div class="card-body">
                    <table id="bootstrap-data-table" class="table table-striped table-bordered">
                        <thead>
                        <tr>
                            <th>Id</th>
                            <th>Reference</th>
                            <th>TypeAction</th>
                            <th>Nature</th>
                            <th>Prix(Dt)</th>
                            <th>Ville</th>
                            <th>Adresse</th>
                            <th>Surface(m²)</th>
                            <th>Action</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for annonce in annonces %}

                            <tr>
                                <td>{{ annonce.id }}</td>
                                <td>{{ annonce.reference }}</td>
                                <td>{{ annonce.typeAction }}</td>
                                <td>{{ annonce.nature }}</td>
                                <td>{{ annonce.prix }}</td>
                                <td>{{ annonce.ville }}</td>
                                <td>{{ annonce.adresse }}</td>
                                <td>{{ annonce.surface }}</td>
                                <td>

                                        {% if annonce.nature =="Appartement" %}

                                        <a href="{{ path('appartement_edit', {'id': annonce.id}) }}"><i class="fa fa-pencil"></i></a>
                                        &nbsp;&nbsp;&nbsp;&nbsp;
                                        <a href="{{ path('appartement_show', {'id': annonce.id}) }}"><i class="fa fa-eye"></i></a>
                                        &nbsp;&nbsp;&nbsp;&nbsp;
                                    <a href="{{ path('annonce_delete', {'id': annonce.id}) }}" onclick="return confirm('voulez-vous supprimer cette annonce?')"><span class="glyphicon glyphicon-trash" aria-hidden="true"></span>

                                        {% elseif annonce.nature=="Maison" %}

                                        <a href="{{ path('maison_edit', {'id': annonce.id}) }}"><i class="fa fa-pencil"></i></a>
                                        &nbsp;&nbsp;&nbsp;&nbsp;
                                        <a href="{{ path('maison_show', {'id': annonce.id}) }}"><i class="fa fa-eye"></i></a>
                                        &nbsp;&nbsp;&nbsp;&nbsp;
                                        <a href="{{ path('annonce_delete', {'id': annonce.id}) }}" onclick="return confirm('voulez-vous supprimer cette annonce?')"><span class="glyphicon glyphicon-trash" aria-hidden="true"></span>

                                        {% elseif annonce.nature=="Villa" %}
                                        <a href="{{ path('villa_edit', {'id': annonce.id}) }}"><i class="fa fa-pencil"></i></a>
                                        &nbsp;&nbsp;&nbsp;&nbsp;
                                        <a href="{{ path('villa_show', {'id': annonce.id}) }}"><i class="fa fa-eye"></i></a>
                                        &nbsp;&nbsp;&nbsp;&nbsp;
                                            <a href="{{ path('annonce_delete', {'id': annonce.id}) }}" onclick="return confirm('voulez-vous supprimer cette annonce?')"><span class="glyphicon glyphicon-trash" aria-hidden="true"></span>


                                        {% elseif annonce.nature=="Terrain Agricole" %}
                                        <a href="{{ path('edit_terrain_agricole', {'id': annonce.id}) }}"><i class="fa fa-pencil"></i></a>
                                        &nbsp;&nbsp;&nbsp;&nbsp;
                                        <a href="{{ path('show_terrain_agricole', {'id': annonce.id}) }}"><i class="fa fa-eye"></i></a>
                                        &nbsp;&nbsp;&nbsp;&nbsp;
                                                <a href="{{ path('annonce_delete', {'id': annonce.id}) }}" onclick="return confirm('voulez-vous supprimer cette annonce?')"><span class="glyphicon glyphicon-trash" aria-hidden="true"></span>

                                        {% elseif annonce.nature=="Terrain Industriel" %}
                                        <a href="{{ path('edit_terrain_industreil', {'id': annonce.id}) }}"><i class="fa fa-pencil"></i></a>
                                        &nbsp;&nbsp;&nbsp;&nbsp;
                                        <a href="{{ path('show_terrain_industreil', {'id': annonce.id}) }}"><i class="fa fa-eye"></i></a>
                                        &nbsp;&nbsp;&nbsp;&nbsp;
                                                    <a href="{{ path('annonce_delete', {'id': annonce.id}) }}" onclick="return confirm('voulez-vous supprimer cette annonce?')"><span class="glyphicon glyphicon-trash" aria-hidden="true"></span>


                                        {% elseif annonce.nature=="Terrain Constructible" %}

                                        <a href="{{ path('edit_terrain_constructible', {'id': annonce.id}) }}"><i class="fa fa-pencil"></i></a>
                                        &nbsp;&nbsp;&nbsp;&nbsp;
                                        <a href="{{ path('show_terrain_constructible', {'id': annonce.id}) }}"><i class="fa fa-eye"></i></a>
                                        &nbsp;&nbsp;&nbsp;&nbsp;
                                                        <a href="{{ path('annonce_delete', {'id': annonce.id}) }}" onclick="return confirm('voulez-vous supprimer cette annonce?')"><span class="glyphicon glyphicon-trash" aria-hidden="true"></span>

                                        {% elseif annonce.nature=="Local Commercial" %}

                                        <a href="{{ path('local_commercial_edit', {'id': annonce.id}) }}"><i class="fa fa-pencil"></i></a>
                                        &nbsp;&nbsp;&nbsp;&nbsp;
                                        <a href="{{ path('local_commercial_show', {'id': annonce.id}) }}"><i class="fa fa-eye"></i></a>
                                        &nbsp;&nbsp;&nbsp;&nbsp;
                                        <a href="{{ path('annonce_delete', {'id': annonce.id}) }}" onclick="return confirm('voulez-vous supprimer cette annonce?')"><span class="glyphicon glyphicon-trash" aria-hidden="true"></span>


                                        {% elseif annonce.nature=="Studio" %}
                                        <a href="{{ path('studio_edit', {'id': annonce.id}) }}"><i class="fa fa-pencil"></i></a>
                                        &nbsp;&nbsp;&nbsp;&nbsp;
                                        <a href="{{ path('studio_show', {'id': annonce.id}) }}"><i class="fa fa-eye"></i></a>
                                        &nbsp;&nbsp;&nbsp;&nbsp;
                                        <a href="{{ path('annonce_delete', {'id': annonce.id}) }}" onclick="return confirm('voulez-vous supprimer cette annonce?')"><span class="glyphicon glyphicon-trash" aria-hidden="true"></span>
                                        {% endif %}


                                </td>
                            </tr>
                            {% else %}
                            <tr>
                                PAs de données
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>

                    <button type="submit" class="btn btn-success"><a href="{{ path('annonce_new',{'id':0}) }}">Create new</a></button>
                </div>
            </div>
        </div>
    </div>
    <!-- /page content -->
{% endblock %}
